<?php

$back_url = mh_href_link(FILENAME_MAILBEEZ, 'smtp_repair=ok');

// remove entries with message_id=-1
// unset cache for dashboard_status

require_once(MH_DIR_CONFIG . 'config_email_engine.php');

config_email_engine::deleteEmailErrors();

require_once(MH_DIR_FS_CATALOG . MH_ROOT_PATH . 'dashboardbeez/dashboard_status/viewbeez/view_status.php');
$view_status = new view_status();
$view_status->purgeDataCache();


require_once(MH_DIR_FS_CATALOG . MH_ROOT_PATH . 'dashboardbeez/dashboard_status.php');
$dashboard_status = new dashboard_status();
$dashboard_status->generateData(true);

mh_redirect($back_url);